#
# Conditional build:
%bcond_with	tests		# build with tests

%define		kdeappsver	23.08.5
%define		kframever	5.103.0
%define		qtver		5.15.2
%define		kaname		kdev-python

Summary:	KDE Integrated Development Environment - python
Summary(pl.UTF-8):	Zintegrowane środowisko programisty dla KDE - python
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ed0af6c5062b18417f01e4520be61f40
URL:		http://www.kdevelop.org/
BuildRequires:	Qt5Core-devel >= 5.15.2
BuildRequires:	Qt5Gui-devel >= 5.15.2
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel >= 5.15.2
BuildRequires:	gettext-devel
BuildRequires:	ka5-kdevelop-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= 5.78.0
BuildRequires:	kf5-kauth-devel >= 5.105.0
BuildRequires:	kf5-kcodecs-devel >= 5.105.0
BuildRequires:	kf5-kcompletion-devel >= 5.105.0
BuildRequires:	kf5-kconfigwidgets-devel >= 5.105.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.105.0
BuildRequires:	kf5-ki18n-devel >= 5.105.0
BuildRequires:	kf5-kitemviews-devel >= 5.105.0
BuildRequires:	kf5-kjobwidgets-devel >= 5.105.0
BuildRequires:	kf5-kparts-devel >= 5.105.0
BuildRequires:	kf5-kservice-devel >= 5.105.0
BuildRequires:	kf5-ktexteditor-devel >= 5.91.0
BuildRequires:	kf5-ktextwidgets-devel >= 5.105.0
BuildRequires:	kf5-kwidgetsaddons-devel >= 5.105.0
BuildRequires:	kf5-kxmlgui-devel >= 5.105.0
BuildRequires:	kf5-solid-devel >= 5.105.0
BuildRequires:	kf5-sonnet-devel >= 5.105.0
BuildRequires:	kf5-syntax-highlighting-devel >= 5.105.0
BuildRequires:	kf5-threadweaver-devel >= 5.91.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.10
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	ka5-kdevelop
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Integrated Development Environment - python.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DFORCE_BASH_COMPLETION_INSTALLATION=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkdevpythoncompletion.so
%attr(755,root,root) %{_libdir}/libkdevpythonduchain.so
%attr(755,root,root) %{_libdir}/libkdevpythonparser.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kdevplatform/51?/kdevpdb.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kdevplatform/51?/kdevpythonlanguagesupport.so
%{_datadir}/kdevappwizard/templates/django_project.tar.bz2
%{_datadir}/kdevappwizard/templates/qtdesigner_app.tar.bz2
%{_datadir}/kdevappwizard/templates/simple_pythonapp.tar.bz2
%{_datadir}/kdevpythonsupport
%{_datadir}/metainfo/org.kde.kdev-python.metainfo.xml
%{_datadir}/qlogging-categories5/kdevpythonsupport.categories
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kdev-python.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> a1fcc23
- updated to 23.08.5

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 59d73ba
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> baadb2c
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 8ac21f3
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> cbfaa5c
- updated to 23.08.1

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 500aca7
- updated to 23.08.0; cmake -B build

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7025132
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3fec82d
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 581d6f8
- updated to 23.04.1

* Tue Apr 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> e7e1331
- webengine is not needed here

* Tue Apr 25 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ddae778
- new package

